Bug 1337627 - ACPI support Intel Cherry Trail (Atom x5)
Summary: ACPI support Intel Cherry Trail (Atom x5)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-19 16:32 UTC by Fahad Alduraibi
Modified: 2020-01-02 03:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:53:29 UTC
Type: Bug
fadnix: needinfo-


Attachments (Terms of Use)
acpidump (681.55 KB, text/plain)
2016-05-19 16:32 UTC, Fahad Alduraibi
no flags Details
dmesg (from kernel 4.5.3) (92.30 KB, text/plain)
2016-05-19 16:34 UTC, Fahad Alduraibi
no flags Details
lshw (8.56 KB, text/plain)
2016-05-19 16:36 UTC, Fahad Alduraibi
no flags Details
lspci (2.79 KB, text/plain)
2016-05-19 16:36 UTC, Fahad Alduraibi
no flags Details

Description Fahad Alduraibi 2016-05-19 16:32:54 UTC
Created attachment 1159541 [details]
acpidump

Description of problem:
1- The battery is not detected
2- No control for display brightness

Version-Release number of selected component (if applicable):
Fedora 24 Kernel 4.5.4-300


How reproducible:
All the time

Steps to Reproduce:
1. Boot into Fedora
2. No battery icon, acpi returns nothing, and no way to see the remaining charge.
3. Display is at full brightness all the time, changing the brightness from settings has no effect.

Actual results:
- No battery info/status
- No display brightness control

Expected results:
- See battery status (charging or discharging, current charge ...)
- Be able to change display brightness

Additional info:
The device is a tablet (Cube iWork10) with the following info:
- Intel Cherry Trail (Atom x5 z8300)
- Intel HD Graphics (8086:22B0)
- Intel Battery Management (INT33FE) [NOT WORKING]
- Intel SST Audio (8086:22A8) [NOT WORKING]
- Realtec RTL8723BS (WIFI connected to SDIO, Bluetooth connected to UART) [NOT WORKING - Need to apply some external kernel patches and install drivers]
- Bosch Accelerometer (BOSC0200) [NOT WORKING]
- Webcam (OV2680) [NOT WORKING]
- Goodix Touchscreen [Works but the x-axis is inverted, reported here https://bugzilla.redhat.com/show_bug.cgi?id=1335302]

Comment 1 Fahad Alduraibi 2016-05-19 16:34:12 UTC
Created attachment 1159542 [details]
dmesg (from kernel 4.5.3)

Comment 2 Fahad Alduraibi 2016-05-19 16:36:20 UTC
Created attachment 1159544 [details]
lshw

Comment 3 Fahad Alduraibi 2016-05-19 16:36:39 UTC
Created attachment 1159545 [details]
lspci

Comment 4 Jaroslav Škarvada 2016-05-19 17:52:31 UTC
None is handled by acpid. The acpid deamon listens for ACPI events and can run scripts based on the events. Typically with the desktop environment (DE) ACPI events are handled by power manager provided by the DE.

It seems there are some backtraces regarding ACPI in your dmesg, thus reassigning to kernel.

Comment 5 Fahad Alduraibi 2016-05-19 21:11:42 UTC
I just realized that shutdown doesn't work or doesn't actually power off the device.

So doing a shutdown will go through the normal shutdown steps and then the display will turn off I thought it is turned off until I realized that the tablet is hot after few hours and the battery was drained!
I also saw some people online complaining also about Hibernate and Suspend but I didn't try them.

Comment 6 Laura Abbott 2016-09-23 19:14:23 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Laura Abbott 2016-10-26 16:55:53 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 8 Fahad Alduraibi 2017-06-19 13:46:35 UTC
What additional data do I need to provide?

The problem still exists in fedora 25 and 26beta

Comment 9 Laura Abbott 2018-02-28 03:42:00 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 10 Fedora End Of Life 2018-05-03 08:41:08 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:53:29 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.